classification
Title: Use wchar_t* buffer instead of Unicode object in code page decoder
Type: Stage: resolved
Components: Interpreter Core Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: 35372 Superseder:
Assigned To: serhiy.storchaka Nosy List: serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-11-30 19:34 by serhiy.storchaka, last changed 2018-12-04 11:22 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10837 merged serhiy.storchaka, 2018-11-30 21:03
Messages (2)
msg330816 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-11-30 19:34
Currently the code page decoder uses the legacy Unicode C API for creating an output buffer as a Unicode object with PyUnicode_WCHAR_KIND. Proposed PR makes it using a raw wchar_t* buffer.

This is necessary for deprecating and removing the legacy Unicode C API in future.
msg331017 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-12-04 08:25
New changeset eeb719eac6347f5b6e85389aa13a386024766806 by Serhiy Storchaka in branch 'master':
bpo-35365: Use a wchar_t* buffer in the code page decoder. (GH-10837)
https://github.com/python/cpython/commit/eeb719eac6347f5b6e85389aa13a386024766806
History
Date User Action Args
2018-12-04 11:22:57serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-12-04 08:25:54serhiy.storchakasetmessages: + msg331017
2018-12-01 17:52:57serhiy.storchakasetdependencies: + Code page decoder incorrectly handles input >2GiB
2018-11-30 21:03:33serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request10075
2018-11-30 19:34:39serhiy.storchakacreate